KDE 4.2 PyKDE API Reference

- KDE's Python API

# AudioFormat Class Reference

`from PyKDE4.phonon import *`

Namespace: Phonon::Experimental

## Detailed Description

## Attributes

AudioFormatPrivate | d_ptr
AudioFormatPrivate | d_ptr

## Methods

| __init__ (self, int sampleRate=48000, int channelCount=2, Phonon.Experimental.BitRate bitRate=Phonon.Experimental.Signed16Bit, QSysInfo.Endian byteOrder=QSysInfo.ByteOrder)
| __init__ (self, Phonon.Experimental.AudioFormat a0)
Phonon.Experimental.BitRate | bitRate (self)
QSysInfo.Endian | byteOrder (self)
int | channelCount (self)
long | key (self)
bool | operator != (self, Phonon.Experimental.AudioFormat f)
bool | operator < (self, Phonon.Experimental.AudioFormat a0)
bool | operator == (self, Phonon.Experimental.AudioFormat a0)
int | sampleRate (self)

## Method Documentation

__init__ | ( | self, |
|  | int | sampleRate=48000,
|  | int | channelCount=2,
|  | Phonon.Experimental.BitRate | bitRate=Phonon.Experimental.Signed16Bit,
|  | QSysInfo.Endian | byteOrder=QSysInfo.ByteOrder
| ) |  |  |

__init__ | ( | self, |
|  | Phonon.Experimental.AudioFormat | a0
| ) |  |  |

Phonon.Experimental.BitRate bitRate | ( |  | self ) |

QSysInfo.Endian byteOrder | ( |  | self ) |

int channelCount | ( |  | self ) |

long key | ( |  | self ) |

bool operator != | ( | self, |
|  | Phonon.Experimental.AudioFormat | f
| ) |  |  |

bool operator < | ( | self, |
|  | Phonon.Experimental.AudioFormat | a0
| ) |  |  |

ess than operator for sorting: A Format is considered smaller if - smaller bit rate - smaller sample rate - less channels - non-native byte order

bool operator == | ( | self, |
|  | Phonon.Experimental.AudioFormat | a0
| ) |  |  |

int sampleRate | ( |  | self ) |

## Attribute Documentation

AudioFormatPrivate d_ptr

AudioFormatPrivate d_ptr